from setuptools import setup, find_packages

setup(
    name="github-content-downloader",
    version="0.1.0",
    packages=find_packages(),
    install_requires=[
        "requests>=2.25.0",
    ],
    entry_points={
        'console_scripts': [
            'ghcd=github_downloader.cli:main',
        ],
    },
    author="Md.Soykot",
    author_email="md.soykot2910@gmail.com",
    description="Download any file or folder from GitHub repositories without cloning - supports both single files and entire directories",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/soykot2910/github-content-downloader",
    project_urls={
        "Bug Tracker": "https://github.com/soykot2910/github-content-downloader/issues",
        "Documentation": "https://github.com/soykot2910/github-content-downloader#readme",
        "Source Code": "https://github.com/soykot2910/github-content-downloader",
    },
    keywords=[
        "github",
        "download",
        "content-downloader",
        "github-downloader",
        "github-tools",
        "file-downloader",
        "folder-downloader",
        "repository-downloader",
        "github-content",
        "github-api",
        "file-download",
        "directory-download",
        "repository-tools",
        "cli",
        "command-line",
        "python",
        "utility",
        "development-tools"
    ],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Utilities",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
) 